#coding : utf-8
__author__ = 'nicolasperrier'


class Film(object):
    """

    """

    def __init__(self,titre, annee,*acteurs):
        """

        :param titre:
        :param annee:
        :param acteur:
        :return:
        """
        self.__titre = titre
        self.__annee = annee
        self.__acteurs = list(acteurs)


    def __str__(self):
        """
        :return:
        """
        res = '%s - %i\n' % (self.__titre,self.__annee)
        for act in self.__acteurs:
            res = res + '%s \n' % str(act)
        return res

    def ajouterActeur(self,acteur):
        """
        :param acteur:
        :return:
        """
        if acteur.__class__.__name__!='Acteur':
            print("Pas une instance de type acteur")
            return 1
        existe = False
        for act in self.__acteurs:
            if act==acteur:
                existe = True
                break
        if existe:
            print("acteur deja present")
            return 2
        self.__acteurs.append(acteur)
        return 0

if __name__=='__main__':
    from acteur import Acteur
    act1 = Acteur('Robert','Deniro')
    act2 = Acteur('Nicolas','Perrier',35)
    act3 = Acteur('Alain','Deloin')

    film = Film('Python Tamia',2015,act1,act2)

    print(film.ajouterActeur(act3))

    print(film.ajouterActeur(act3))

    print(type(film))